TagLib::MP4::Properties Class Reference

An implementation of MP4 audio properties. More...

`#include <mp4properties.h>`

Inheritance diagram for TagLib::MP4::Properties:
[legend]
Collaboration diagram for TagLib::MP4::Properties:
[legend]

## Public Types

enum | Codec { Unknown = 0 , AAC , ALAC }
Public Types inherited from TagLib::AudioProperties
enum | ReadStyle { Fast , Average , Accurate }

## Public Member Functions

| Properties (File *file, const Atoms *atoms, ReadStyle style=Average)
| ~Properties () override
| Properties (const Properties &)=delete
Properties & | operator= (const Properties &)=delete
int | lengthInMilliseconds () const override
int | bitrate () const override
int | sampleRate () const override
int | channels () const override
virtual int | bitsPerSample () const
bool | isEncrypted () const
Codec | codec () const
Public Member Functions inherited from TagLib::AudioProperties
virtual | ~AudioProperties ()
| AudioProperties (const AudioProperties &)=delete
AudioProperties & | operator= (const AudioProperties &)=delete
virtual TAGLIB_DEPRECATED int | length () const
virtual int | lengthInSeconds () const

## Additional Inherited Members

Protected Member Functions inherited from TagLib::AudioProperties
| AudioProperties (ReadStyle style)

## Detailed Description

An implementation of MP4 audio properties.

## Member Enumeration Documentation

## Codec

enum TagLib::MP4::Properties::Codec

Enumerator
Unknown |
AAC |
ALAC |

## Constructor & Destructor Documentation

## Properties() [1/2]

TagLib::MP4::Properties::Properties | ( | File * | file,
|  | const Atoms * | atoms,
|  | ReadStyle | style = Average )

References TagLib::AudioProperties::Average.

Referenced by operator=(), and Properties().

## ~Properties()

TagLib::MP4::Properties::~Properties | ( |  | ) |

override

## Properties() [2/2]

TagLib::MP4::Properties::Properties | ( | const Properties & |  | ) |

delete

References Properties().

## Member Function Documentation

## bitrate()

int TagLib::MP4::Properties::bitrate | ( |  | ) | const

override virtual

Returns the average bit rate of the file in kb/s.

Reimplemented from TagLib::AudioProperties.

## bitsPerSample()

virtual int TagLib::MP4::Properties::bitsPerSample | ( |  | ) | const

virtual

Returns the number of bits per audio sample.

## channels()

int TagLib::MP4::Properties::channels | ( |  | ) | const

override virtual

Returns the number of audio channels.

Implements TagLib::AudioProperties.

## codec()

Codec TagLib::MP4::Properties::codec | ( |  | ) | const

Returns the codec used in the file.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## isEncrypted()

bool TagLib::MP4::Properties::isEncrypted | ( |  | ) | const

Returns whether or not the file is encrypted.

## lengthInMilliseconds()

int TagLib::MP4::Properties::lengthInMilliseconds | ( |  | ) | const

override virtual

Returns the length of the file in milliseconds.

See also
  lengthInSeconds()

Reimplemented from TagLib::AudioProperties.

## operator=()

Properties & TagLib::MP4::Properties::operator= | ( | const Properties & |  | ) |

delete

References Properties().

## sampleRate()

int TagLib::MP4::Properties::sampleRate | ( |  | ) | const

override virtual

Returns the sample rate in Hz.

Reimplemented from TagLib::AudioProperties.

The documentation for this class was generated from the following file:

- mp4properties.h